#
#	Copyright (C) 2007, 2008, 2009, 2010. PARP Research Group.
#	<http://perception.inf.um.es>
#	University of Murcia, Spain.
#
#	This file is part of the QVision library.
#
#	QVision is free software: you can redistribute it and/or modify
#	it under the terms of the GNU Lesser General Public License as
#	published by the Free Software Foundation, version 3 of the License.
#
#	QVision is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU Lesser General Public License for more details.
#
#	You should have received a copy of the GNU Lesser General Public
#	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
#

################################
#
#	File qvision.pro
#

CONFIG += QVISION

include(common.pri)

# Library include and binary file paths.
message(--------------------------)
message(Install path set to: $$INSTALL_PATH)

QT += xml
TEMPLATE = lib
TARGET = qvision
DESTDIR = $$PWD/lib/
VERSION = 0.4.1
		
RCC_DIR = $$PWD/build/rcc
MOC_DIR = $$PWD/build/moc
UI_DIR = $$PWD/src/ui
OBJECTS_DIR = $$PWD/build/obj
		
win32 : CONFIG += console # Si se quiere imprimir por pantalla en Windows
		
# caso de linux (por ahora), definimos extensiones OpenGL para YUV acelerado.
# unix:DEFINES += LINUX_GL_YUV_ACCEL

HEADERS += $$PWD/src/qvdefines.h
SOURCES += $$PWD/src/qvdefines.cpp

#####################################################################
# Documentation
api_doc.target = $$PWD/doc/html
api_doc.commands = doxygen Doxyfile;
		
QMAKE_EXTRA_UNIX_TARGETS += api_doc
		
######################################################################
# Installation
		
# General files
install_base.path = $$INSTALL_PATH
install_base.files = $$PWD/*.pri $$PWD/README $$PWD/COPYING $$PWD/COPYING.LESSER $$PWD/lib
		
install_include.path =	$$INSTALL_PATH/src/
install_include.files = $$PWD/src/q*
		
# Install directives
INSTALLS += install_base install_include


