#
#	Copyright (C) 2007, 2008, 2009, 2010. PARP Research Group.
#	<http://perception.inf.um.es>
#	University of Murcia, Spain.
#
#	This file is part of the QVision library.
#
#	QVision is free software: you can redistribute it and/or modify
#	it under the terms of the GNU Lesser General Public License as
#	published by the Free Software Foundation, version 3 of the License.
#
#	QVision is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU Lesser General Public License for more details.
#
#	You should have received a copy of the GNU Lesser General Public
#	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
#

################################
#
#	File qvopencv.pri
#

!qvopencv_defined {

	INCLUDEPATH += $$PWD
	SOURCEPATH += $$PWD

	DEFINES += OPENCV		# Deprecated
	DEFINES += QVOPENCV

	CONFIG += qvopencv_defined

	message(Included module: qvopencv)

	HEADERS +=	$$PWD/qvopencv/qvdelaunaytriangulation.h

	!isEmpty(QVOPENCV_LIB_PATH): !isEmpty(QVOPENCV_INCLUDE_PATH) {
		message(* Path to OpenCV binaries: $$QVOPENCV_LIB_PATH)
		message(* Path to OpenCV include files: $$QVOPENCV_INCLUDE_PATH)
		LIBS += -Wl,-rpath=$$QVOPENCV_LIB_PATH -lcxcore -lml -lcv -lcvaux -lhighgui
		INCLUDEPATH += $$QVOPENCV_INCLUDE_PATH
		}
	else	{
		CONFIG += link_pkgconfig	# Enable pkg-config usage through the PKGCONFIG variable.
		PKGCONFIG += opencv		# Include necessary directories and binary files for OpenCV.
		message(* Autoconfigured with pkg-config)
		}
	}

